/* **************************************************************** */
/*																	*/
/*		Esta Libreria se encarga de trabajar con arreglos.			*/
/*																	*/
/* **************************************************************** */

#include <stdlib.h>


/* **************************************************************** */
/* 		Funcion para imprimir un arreglo en pantalla 				*/
/* **************************************************************** */

void PrintArray(int b[], int max)
{
	int w;
	for(w=0 ; w < max ; w++ )
	{
		printf("%d\t", b[w]);
	}
	printf("\n");
	return;
}



/* **************************************************************** */
/*  		Funcion para crear un arreglo de largo "largo"			*/
/*				y valores aleatorios								*/
/* **************************************************************** */

void MakeArray(int R[], int largo)
{
	int i;
	int random;
	for(i = 0; i < largo; i++)
	{
		//funcion random que crea numeros de 0 a 999
		random = (int)(1000.0*rand()/(RAND_MAX+1.0));
		R[i] = random;
	}
	return;
}

/* **************************************************************** */
/*			Funcion para copiar un arreglo de enteros en otro		*/
/* **************************************************************** */

void CopyArray(int R[], int S[], int largo)
{
	int i;
	for(i=0; i<largo; i++) S[i]=R[i];
}


